about summary refs log tree commit diff stats
path: root/hm/soispha/pkgs/scripts/specific
diff options
context:
space:
mode:
Diffstat (limited to 'hm/soispha/pkgs/scripts/specific')
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/neorg/neorg_id_function.sh12
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/neorg/nu/add.nu3
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/neorg/nu/dmenu.nu5
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/neorg/nu/fstart.nu5
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/neorg/nu/fstop.nu2
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/neorg/nu/list.nu2
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/neorg/nu/neorg.nu74
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/neorg/nu/project.nu5
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/neorg/nu/task.nu7
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/neorg/nu/workspace.nu25
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/neorg/sh/functions/add.sh23
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/neorg/sh/functions/context.sh43
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/neorg/sh/functions/dmenu.sh12
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/neorg/sh/functions/f_start.sh7
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/neorg/sh/functions/f_stop.sh7
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/neorg/sh/functions/list.sh8
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/neorg/sh/functions/project.sh41
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/neorg/sh/functions/utils.sh40
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/neorg/sh/functions/workspace.sh9
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/neorg/sh/main.sh155
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/ytcc/description.sh8
21 files changed, 0 insertions, 493 deletions
diff --git a/hm/soispha/pkgs/scripts/specific/neorg/neorg_id_function.sh b/hm/soispha/pkgs/scripts/specific/neorg/neorg_id_function.sh
deleted file mode 100755
index 7c3fb2a3..00000000
--- a/hm/soispha/pkgs/scripts/specific/neorg/neorg_id_function.sh
+++ /dev/null
@@ -1,12 +0,0 @@
-#! /bin/sh
-context="$(task _get rc.context)"
-if [ "$context" ]; then
-    filter="project:$context"
-else
-    filter="0-10000"
-fi
-tasks="$(task "$filter" _ids)"
-
-if [ "$tasks" ]; then
-    echo "$tasks" | xargs task _zshids | awk -F: -v q="'" '{gsub(/'\''/, q "\\" q q ); print $1 ":" q $2 q}'
-fi
diff --git a/hm/soispha/pkgs/scripts/specific/neorg/nu/add.nu b/hm/soispha/pkgs/scripts/specific/neorg/nu/add.nu
deleted file mode 100755
index 8cf9666c..00000000
--- a/hm/soispha/pkgs/scripts/specific/neorg/nu/add.nu
+++ /dev/null
@@ -1,3 +0,0 @@
-export def "main" [] {
-    "hi!"
-}
diff --git a/hm/soispha/pkgs/scripts/specific/neorg/nu/dmenu.nu b/hm/soispha/pkgs/scripts/specific/neorg/nu/dmenu.nu
deleted file mode 100755
index 177e7483..00000000
--- a/hm/soispha/pkgs/scripts/specific/neorg/nu/dmenu.nu
+++ /dev/null
@@ -1,5 +0,0 @@
-# Select a project in dmenu mode
-#
-# This will give you all projects
-# and exectute the selected one as in 'neorg projects <selected>'
-def "main" [] {}
diff --git a/hm/soispha/pkgs/scripts/specific/neorg/nu/fstart.nu b/hm/soispha/pkgs/scripts/specific/neorg/nu/fstart.nu
deleted file mode 100755
index f77cd3f6..00000000
--- a/hm/soispha/pkgs/scripts/specific/neorg/nu/fstart.nu
+++ /dev/null
@@ -1,5 +0,0 @@
-# Starts the task
-#
-# This only happens after it stooped
-# the previous active task, if it existed.
-def "main" [id: int] {}
diff --git a/hm/soispha/pkgs/scripts/specific/neorg/nu/fstop.nu b/hm/soispha/pkgs/scripts/specific/neorg/nu/fstop.nu
deleted file mode 100755
index bcaac944..00000000
--- a/hm/soispha/pkgs/scripts/specific/neorg/nu/fstop.nu
+++ /dev/null
@@ -1,2 +0,0 @@
-# Stops the current active task
-def "main" [] {}
diff --git a/hm/soispha/pkgs/scripts/specific/neorg/nu/list.nu b/hm/soispha/pkgs/scripts/specific/neorg/nu/list.nu
deleted file mode 100755
index 68a130f9..00000000
--- a/hm/soispha/pkgs/scripts/specific/neorg/nu/list.nu
+++ /dev/null
@@ -1,2 +0,0 @@
-# Lists all available contexts
-def "main" [] {}
diff --git a/hm/soispha/pkgs/scripts/specific/neorg/nu/neorg.nu b/hm/soispha/pkgs/scripts/specific/neorg/nu/neorg.nu
deleted file mode 100755
index 92af49cc..00000000
--- a/hm/soispha/pkgs/scripts/specific/neorg/nu/neorg.nu
+++ /dev/null
@@ -1,74 +0,0 @@
-#!/usr/bin/env nu
-
-use add.nu main
-use dmenu.nu
-use fstart.nu
-use fstop.nu
-use list.nu
-use project.nu
-use task.nu
-use workspace.nu [main workspaces]
-
-# The core of the system-integrated task handling and management
-def main [] {
-    add
-}
-
-# Allows you to quickly add projects
-def "main add" [] {
-    add
-}
-
-# Select a project in dmenu mode
-#
-# This will give you all projects
-# and exectute the selected one as in 'neorg projects <selected>'
-def "main dmenu" [] {
-    dmenu
-}
-
-# Starts the task
-#
-# This only happens after it stooped
-# the previous active task, if it existed.
-def "main fstart" [id: int] {
-    fstart
-}
-
-# Stops the current active task
-def "main fstop" [] {
-    fstop
-}
-
-# Lists all available contexts
-def "main list" [] {
-    list
-}
-
-# Opens the project in the webbrowser
-#
-# Opens the webbrowser with either the context (P) or
-# the current active context as argument if no context is supplied
-def "main project" [project?: string] {
-    project
-}
-
-# Open the context of a task
-#
-# Open the neorg context associated with the current context and
-# the uuid of the task with id ID. Without ID, it'll open the
-# current context's norg file.
-# If no context is set, drops you to the selection prompt
-def "main task" [id?: int] {
-    task
-}
-
-# Open a neorg workspace
-#
-# The neorg workspace to open at startup, an empty value drops
-# you at a prompt to enter the workspace yourself.
-def "main workspace" [
-    workspace?: string@workspaces # The workspace to open
-] {
-    workspace $workspace
-}
diff --git a/hm/soispha/pkgs/scripts/specific/neorg/nu/project.nu b/hm/soispha/pkgs/scripts/specific/neorg/nu/project.nu
deleted file mode 100755
index 530eab9b..00000000
--- a/hm/soispha/pkgs/scripts/specific/neorg/nu/project.nu
+++ /dev/null
@@ -1,5 +0,0 @@
-# Opens the project in the webbrowser
-#
-# Opens the webbrowser with either the context (P) or
-# the current active context as argument if no context is supplied
-def "main" [project?: string] {}
diff --git a/hm/soispha/pkgs/scripts/specific/neorg/nu/task.nu b/hm/soispha/pkgs/scripts/specific/neorg/nu/task.nu
deleted file mode 100755
index 41d1d6e5..00000000
--- a/hm/soispha/pkgs/scripts/specific/neorg/nu/task.nu
+++ /dev/null
@@ -1,7 +0,0 @@
-# Open the context of a task
-#
-# Open the neorg context associated with the current context and
-# the uuid of the task with id ID. Without ID, it'll open the
-# current context's norg file.
-# If no context is set, drops you to the selection prompt
-def "main" [id?: int] {}
diff --git a/hm/soispha/pkgs/scripts/specific/neorg/nu/workspace.nu b/hm/soispha/pkgs/scripts/specific/neorg/nu/workspace.nu
deleted file mode 100755
index dfa79f29..00000000
--- a/hm/soispha/pkgs/scripts/specific/neorg/nu/workspace.nu
+++ /dev/null
@@ -1,25 +0,0 @@
-export def workspaces [] {
-    # echo "%ALL_WORKSPACES" | split row '|'
-    ["a", "b"]
-}
-
-
-export def "main" [ workspace?: string ] {
-    if $workspace != null {
-        let pred = workspaces | where $it == $workspace | is-empty
-        if $pred == false  {
-            true
-        } else {
-           error make {
-                msg: $"Your Workspace \(($workspace)) is not one of the defined ones: (workspaces)",
-            }
-        }
-   } else {
-        let tmp = mktemp
-        printf ":Neorg workspace " | save --append $tmp
-
-        nvim -c "NeorgStart" -s $tmp
-
-        rm $tmp
-   }
-}
diff --git a/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/add.sh b/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/add.sh
deleted file mode 100755
index 5a830a10..00000000
--- a/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/add.sh
+++ /dev/null
@@ -1,23 +0,0 @@
-#!/usr/bin/env dash
-
-add0open_taskwarrior_project_file() {
-    task_project_file="%TASK_PROJECT_FILE"
-
-    cd "$(dirname $task_project_file)" || die "BUG: task_project_file ('$task_project_file') can't be accessed"
-
-    git_dir="$(search_flake_base_dir)"
-    [ "$git_dir" ] || die "(BUG): No git directory?"
-    cd "$git_dir" || die "Unreachable, this MUST exists"
-
-    nvim "$task_project_file"
-    git add "$task_project_file"
-
-    base_task_project_file_path="$(awk "{ gsub(\"$git_dir/\", \"\", \$0); print }" "$(ptmp "$task_project_file")")"
-    git add $task_project_file
-
-    # Check that only the project file has been added (and that our file is actually
-    # modified)
-    if git status --porcelain=v2 | awk -v path="$base_task_project_file_path" 'BEGIN { hit = 0 } { if ($2 ~ /A./ || $2 ~ /M./) { if ($NF ~ path) { hit = 1 } else { hit = 0; exit 1 } } } END { if (hit == 1) { exit 0 } else { exit 1 } }'; then
-        git commit --verbose --message="chore($(dirname "$base_task_project_file_path")): Update"
-    fi
-}
diff --git a/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/context.sh b/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/context.sh
deleted file mode 100755
index 7095847d..00000000
--- a/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/context.sh
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/usr/bin/env dash
-
-context0open_current_task_context() {
-    current_context="$(utils0get_current_context)"
-
-    if [ "$current_context" ]; then
-        context_path="$(utils0get_current_context_path "$current_context")"
-
-        extended_neorg_project_dir="$(utils0get_neorg_project_dir)"
-        cd "$extended_neorg_project_dir" || die "(BUG?): Can not access the project dir: $extended_neorg_project_dir"
-
-        nvim "$extended_neorg_project_dir/$context_path"
-
-        git add .
-        git commit --message="chore($(dirname "$context_path")): Update" --no-gpg-sign
-    else
-        warn "No context active"
-    fi
-}
-
-context0open_current_task_context_at_task_id() {
-    task_id="$1"
-    current_context="$(utils0get_current_context)"
-
-    if [ "$current_context" ]; then
-        context_path="$(utils0get_current_context_path "$current_context")"
-        extended_neorg_project_dir="$(utils0get_neorg_project_dir)"
-        task_uuid="$(task "$task_id" uuids)"
-
-        cd "$extended_neorg_project_dir" || die "(BUG?): Can not access the project dir: $extended_neorg_project_dir"
-
-        if ! grep -q "% $task_uuid" "$extended_neorg_project_dir/$context_path"; then
-            echo "* TITLE (% $task_uuid)" >>"$extended_neorg_project_dir/$context_path"
-        fi
-
-        nvim "$extended_neorg_project_dir/$context_path" -c "/% $task_uuid"
-
-        git add .
-        git commit --message="chore($(dirname "$context_path")): Update" --no-gpg-sign
-    else
-        warn "No context active"
-    fi
-}
diff --git a/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/dmenu.sh b/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/dmenu.sh
deleted file mode 100755
index 73e9460a..00000000
--- a/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/dmenu.sh
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/usr/bin/env dash
-
-dmenu0open_context_in_browser() {
-    project="$(echo "%ALL_PROJECTS_PIPE" | rofi -sep "|" -dmenu)"
-
-    if [ "$project" ]; then
-        project0open_project_in_browser "$project"
-    else
-        notify-send "(neorg/dmenu) No project selected"
-        exit 1
-    fi
-}
diff --git a/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/f_start.sh b/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/f_start.sh
deleted file mode 100755
index 2423dd44..00000000
--- a/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/f_start.sh
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/usr/bin/env dash
-
-fstart0start_new_task() {
-    task_id="$1"
-    fstop0stop_current_task
-    task start "$task_id"
-}
diff --git a/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/f_stop.sh b/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/f_stop.sh
deleted file mode 100755
index e4ff0b94..00000000
--- a/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/f_stop.sh
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/usr/bin/env dash
-
-fstop0stop_current_task() {
-    # we ensured that only one task may be active
-    active="$(task +ACTIVE _ids)"
-    [ "$active" ] && task stop "$active"
-}
diff --git a/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/list.sh b/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/list.sh
deleted file mode 100755
index 10659457..00000000
--- a/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/list.sh
+++ /dev/null
@@ -1,8 +0,0 @@
-#!/usr/bin/env dash
-
-list0list_all_contexts_newline() {
-    print "%ALL_PROJECTS_NEWLINE"
-}
-list0list_all_contexts_comma() {
-    print "%ALL_PROJECTS_COMMA"
-}
diff --git a/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/project.sh b/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/project.sh
deleted file mode 100755
index 64591850..00000000
--- a/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/project.sh
+++ /dev/null
@@ -1,41 +0,0 @@
-#!/usr/bin/env dash
-
-project0open_current_context_in_browser() {
-    current_context="$(utils0get_current_context)"
-    [ "$current_context" ] || die "No current context to use"
-    project0open_context_in_browser "$(utils0context2project "$current_context")"
-}
-
-project0open_project_in_browser() {
-    project="$1"
-    [ "$project" ] || die "BUG: No context supplied to project0open_context_in_browser"
-
-    old_context="$(utils0get_current_context)"
-    # We have ensured that only one task may be active
-    old_started_task="$(task +ACTIVE _ids)"
-
-    tracking="$(mktmp)"
-    task "project:$project" _ids | xargs --no-run-if-empty task _zshids >"$tracking"
-    task context "$(utils0project2context "$project")"
-
-    while read -r description; do
-        desc="$(echo "$description" | awk -F: '{print $2}')"
-        if [ "$desc" = "tracking" ]; then
-            task_id="$(echo "$description" | awk -F: '{print $1}')"
-            notify-send "(Neorg)" "Starting task $project -> $desc"
-            task start "$task_id"
-            break
-        fi
-    done <"$tracking"
-
-    firefox -P "$project"
-
-    task stop "$task_id"
-    [ "$old_started_task" ] && task start "$old_started_task"
-
-    if [ "$old_context" ]; then
-        task context "$old_context"
-    else
-        task context none
-    fi
-}
diff --git a/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/utils.sh b/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/utils.sh
deleted file mode 100755
index c3843e8e..00000000
--- a/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/utils.sh
+++ /dev/null
@@ -1,40 +0,0 @@
-#!/usr/bin/env dash
-
-# Runs it's first argument and then the second, regardless if the first failed or
-# succeeded
-utils0chain() {
-    eval "$1"
-    eval "$2"
-}
-
-utils0get_current_context() {
-    current_context="$(task _get rc.context)"
-    printf "%s\n" "$current_context"
-}
-
-utils0get_current_context_path() {
-    current_context="$1"
-    context_path="$(task _get rc.context."$current_context".rc.neorg_path 2>/dev/null)"
-    if ! [ "$context_path" ]; then
-        context_path="$(grep "context.$current_context.rc.neorg_path" "%HOME_TASKRC" | awk 'BEGIN {FS="="} {print $2}')"
-        [ "$context_path" ] || die "All contexts should have a 'neorg_path' set!"
-    fi
-    printf "%s\n" "$context_path"
-}
-
-utils0get_neorg_project_dir() {
-    # Perform shell expansion of Tilde
-    neorg_project_dir="$(sed "s|^~|$HOME|" "$(ptmp "%DEFAULT_NEORG_PROJECT_DIR")")"
-    printf "%s\n" "$neorg_project_dir"
-}
-
-utils0project2context() {
-    project="$1"
-    context="$(sed 's|\.|_|g' "$(ptmp "$project")")"
-    printf "%s\n" "$context"
-}
-utils0context2project() {
-    context="$1"
-    project="$(sed 's|_|\.|g' "$(ptmp "$context")")"
-    printf "%s\n" "$project"
-}
diff --git a/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/workspace.sh b/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/workspace.sh
deleted file mode 100755
index d5eb2fca..00000000
--- a/hm/soispha/pkgs/scripts/specific/neorg/sh/functions/workspace.sh
+++ /dev/null
@@ -1,9 +0,0 @@
-#!/usr/bin/env dash
-
-workspace0open_neorg_workspace() {
-    workspace="$1"
-    nvim -c "NeorgStart" -s "$(ptmp ":Neorg workspace $workspace\n")"
-}
-workspace0open_neorg_workspace_prompt() {
-    nvim -c "NeorgStart" -s "$(ptmp ":Neorg workspace ")"
-}
diff --git a/hm/soispha/pkgs/scripts/specific/neorg/sh/main.sh b/hm/soispha/pkgs/scripts/specific/neorg/sh/main.sh
deleted file mode 100755
index 5087c391..00000000
--- a/hm/soispha/pkgs/scripts/specific/neorg/sh/main.sh
+++ /dev/null
@@ -1,155 +0,0 @@
-#!/usr/bin/env dash
-
-# shellcheck source=/dev/null
-SHELL_LIBRARY_VERSION="2.0.13" . %SHELL_LIBRARY_PATH
-
-# load dependencies
-. ./functions/add.sh
-. ./functions/context.sh
-. ./functions/dmenu.sh
-. ./functions/f_start.sh
-. ./functions/f_stop.sh
-. ./functions/list.sh
-. ./functions/project.sh
-. ./functions/utils.sh
-. ./functions/workspace.sh
-
-# these are used in version()
-# shellcheck disable=2034
-AUTHORS="Soispha"
-# shellcheck disable=2034
-YEARS="2023"
-
-NAME="neorg"
-
-help() {
-    cat <<EOF
-This is the core interface to the system-integrated task management
-
-USAGE:
-    $NAME [OPTIONS] [COMMAND]
-
-OPTIONS:
-    --help      | -h
-                            Display this help and exit.
-
-    --version   | -v
-                            Display version and copyright information and exit.
-COMMANDS:
-    task [ID]
-                            Open the neorg context associated with the current context and
-                            the uuid of the task with id ID. Without ID, it'll open the
-                            current context's norg file.
-                            If no context is set, drops you to the selection prompt
-
-    dmenu
-                            Select a project in dmenu mode. This will give you all projects
-                            and exectute the selected one as in 'neorg projects <selected>'
-
-    workspace [WS]
-                            The neorg workspace (WS) to open at startup, an empty value drops
-                            you at a prompt to enter the workspace yourself.
-
-    project [P]
-                            Opens the webbrowser with either the context (P) or
-                            the current active context as argument if no context is supplied
-
-    list
-                            Lists all available contexts
-
-    add
-                            Allows you to quickly add projects
-
-    fstart ID
-                            Starts the task (ID) but only after it stooped
-                            the previous active task, if it existed.
-
-    fstop
-                            Stops the current active task
-ARGUMENTS:
-    ID | *([0-9]) := [[%ID_GENERATION_FUNCTION]]
-                            The function displays all possible IDs of the eligable tasks.
-
-    WS := %ALL_WORKSPACES
-                            All possible workspaces
-
-    P := %ALL_PROJECTS_PIPE
-                            The possible project
-
-EOF
-}
-
-for arg in "$@"; do
-    case "$arg" in
-    "--help" | "-h")
-        help
-        exit 0
-        ;;
-    "--version" | "-v")
-        version
-        exit 0
-        ;;
-    esac
-done
-
-while [ "$#" -ne 0 ]; do
-    case "$1" in
-    "t"*) # task
-        shift 1
-        task_id="$1"
-        [ "$task_id" ] || utils0chain context0open_current_task_context "exit 0"
-        context0open_current_task_context_at_task_id "$task_id"
-        exit 0
-        ;;
-    "w"*) # workspace
-        shift 1
-        workspace_to_open="$1"
-        # TODO: Exit with 1 on error, instead of the 0 <2023-10-20>
-        [ "$workspace_to_open" ] || utils0chain workspace0open_neorg_workspace_prompt "exit 0"
-        workspace0open_neorg_workspace "$workspace_to_open"
-        exit 0
-        ;;
-    "p"*) # project
-        shift 1
-        project_to_open="$1"
-        # TODO: Exit with 1 on error, instead of the 0 <2023-10-20>
-        [ "$project_to_open" ] || utils0chain project0open_current_context_in_browser "exit 0"
-        if ! grep -q "$project_to_open" "$(ptmp "%ALL_PROJECTS_NEWLINE")"; then
-            die "Your project ('$project_to_open') is not in the list of available projects:
-%ALL_PROJECTS_COMMA"
-        fi
-        project0open_project_in_browser "$project_to_open"
-        exit 0
-        ;;
-    "l"*) # list
-        list0list_all_contexts_newline
-        exit 0
-        ;;
-    "a"*) # add-project
-        add0open_taskwarrior_project_file
-        exit 0
-        ;;
-    "d"*) # dmenu
-        dmenu0open_context_in_browser
-        exit 0
-        ;;
-    "fsta"*) # fstart
-        shift 1
-        task_id="$1"
-        [ "$task_id" ] || die "No task id provided to fstart"
-        fstart0start_new_task "$task_id"
-        exit 0
-        ;;
-    "fsto"*) # fstop
-        fstop0stop_current_task
-        exit 0
-        ;;
-    *)
-        die "Command '$1' does not exist! Please look at:\n $NAME --help"
-        exit 0
-        ;;
-    esac
-done
-
-context0open_current_task_context
-# vim: ft=sh
diff --git a/hm/soispha/pkgs/scripts/specific/ytcc/description.sh b/hm/soispha/pkgs/scripts/specific/ytcc/description.sh
deleted file mode 100755
index e2a1afaa..00000000
--- a/hm/soispha/pkgs/scripts/specific/ytcc/description.sh
+++ /dev/null
@@ -1,8 +0,0 @@
-#!/usr/bin/env dash
-
-# shellcheck source=/dev/null
-SHELL_LIBRARY_VERSION="2.0.13" . %SHELL_LIBRARY_PATH
-
-jq --raw-output '.description' "$XDG_RUNTIME_DIR/ytcc/running" | fmt -u -s | less
-
-# vim: ft=sh